# Uses of Class
org.jmol.modelset.MeasurementData

Packages that use MeasurementData
Package
Description
org.jmol.api
org.jmol.modelset
org.jmol.quantum
org.jmol.shape
org.jmol.viewer

## Uses of MeasurementData in org.jmol.api

Methods in org.jmol.api with parameters of type MeasurementData
Modifier and Type
Method
Description
`Map<String,Integer>`
JmolNMRInterface.`getMinDistances(MeasurementData md)`
`void`
JmolMeasurementClient.`processNextMeasure(MeasurementData measurementData, Measurement m)`

## Uses of MeasurementData in org.jmol.modelset

Methods in org.jmol.modelset that return MeasurementData
Modifier and Type
Method
Description
`MeasurementData`
MeasurementData.`init(String id, Viewer vwr, Lst<Object> points)`
`MeasurementData`
MeasurementData.`set(int tokAction, Map<String,Integer> htMin, RadiusData radiusData, String property, String strFormat, String units, TickInfo tickInfo, boolean mustBeConnected, boolean mustNotBeConnected, Boolean intramolecular, boolean isAll, int mad, short colix, Text text, float value, BS bsSelected)`
`MeasurementData`
MeasurementData.`setModelSet(ModelSet m)`
Methods in org.jmol.modelset with parameters of type MeasurementData
Modifier and Type
Method
Description
`void`
MeasurementData.`processNextMeasure(MeasurementData md, Measurement m)`
if this is the client, then this method is called by MeasurementData when a measurement is ready
`void`
Measurement.`setFromMD(MeasurementData md, boolean andText)`

## Uses of MeasurementData in org.jmol.quantum

Methods in org.jmol.quantum with parameters of type MeasurementData
Modifier and Type
Method
Description
`Map<String,Integer>`
NMRCalculation.`getMinDistances(MeasurementData md)`

## Uses of MeasurementData in org.jmol.shape

Methods in org.jmol.shape with parameters of type MeasurementData
Modifier and Type
Method
Description
`void`
Measures.`processNextMeasure(MeasurementData md, Measurement m)`

## Uses of MeasurementData in org.jmol.viewer

Methods in org.jmol.viewer that return MeasurementData
Modifier and Type
Method
Description
`MeasurementData`
Viewer.`newMeasurementData(String id, Lst<Object> points)`